
function E0090()
    InitRoom()FAI(0)
end
function E0091()
    InitRoom()FAI(1)
end
function E0092()
    InitRoom()FAI(2)
end
function E0093()
    InitRoom()FAI(3)
end
function E0094()
    InitRoom()FAI(4)
end

function InitRoom()
    MNA()
    if(FLJ("KingBack")) then
        CMU("XXXX")
    else
        CMU("CS_Jenka")
    end
end

function GoCrossRoads()
    if(FLJ("KingBack")) then
        PRI()FAO(3)TRA("CS_crossroads2","E0091",29,4,1,15)
    elseif(FLJ("Night")) then
        PRI()FAO(3)TRA("CS_crossroads_night","E0091",29,4,1,15)
    else
        PRI()FAO(3)TRA("CS_crossroads","E0091",29,4,1,15)
    end
end

function MonsterX1()
    KEY()
    MS3("Oh, it's you~")NOD()
    CAT("\nDid you catch a big fish, meow?")NOD()CLR()
    if(ITJ("Arowana")) then
        CNP("Arowana1","CS_arowana_animate",0,1)
        ANP("Arowana1","dizzy")
        ITS("Arowana")
        CAT("Woooooow!")NOD()
        CAT("\nThis is my first time seeing such a huge fish!")NOD()CLR()GIT()
        CAT("\nIt's even bigger than me!")NOD()CLR()
        CAT("But it's getting late now,")NOD()
        CAT("\nAs for chubby Mimiga,") 
        CAT("\nI'll help you look for him tomorrow.")NOD()
        CAT("\nI'll take this fish home for now~")NOD()CLO()
        MSR("SearchForMahin","BackVillageReport")
        MSD("Fishing")
        FAO(2)
        DNP("MonsterX1")DNP("Arowana1")
        FLP("Night")FLP("MonsterXLeave")
        FLP("LostArowana")
        FLP("KanpaKidnapped")
        AMC(0,0,PLY())
        SLR(0,PLY())
        FAI(0)
    else
        local count = 0;
        count = count + ITC("Chinfish");
        count = count + ITC("Bluefish");
        count = count + ITC("Redfish");
        if(count == 0) then
            CAT("Hmm? Haven't found it yet?")NOD()
            CAT("\nTry looking around the nearby areas~")NOD()
        else
            CAT("This fish is too small, barely a snack...")NOD()
            CAT("\nGo find a bigger fish~, will you?~")NOD()
        end
    end
end